%define pkg_name        Benchmark-Timer
%define pkg_version     0.7100
%define rpm_pkg_version 0.7.1
%define rpm_pkg_release 2.n0i.2

Summary:       Perl code benchmarking tool
Name:          perl-%{pkg_name}
Version:       %{rpm_pkg_version}
Release:       %{rpm_pkg_release}%{?cpan_version}%{?dist}

Group:         Development/Libraries
License:       Artistic
URL:           http://search.cpan.org/dist/%{pkg_name}/
Source0:       http://www.cpan.org/authors/id/D/DC/DCOPPIT/%{pkg_name}-%{pkg_version}.tar.gz

BuildArch:     noarch
BuildRoot:     %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
BuildRequires: reb00t-rpmdevtools
BuildRequires: perl(ExtUtils::MakeMaker)
%{!?_without_test:BuildRequires: perl(Test::More)}
%{!?_without_test:BuildRequires: perl(Time::HiRes)}


%description
The Benchmark::Timer class allows you to time portions of code
conveniently, as well as benchmark code by allowing timings of repeated
trials. It is perfect for when you need more precise information about the
running time of portions of your code than the Benchmark module will give
you, but don't want to go all out and profile your code.


%prep
%setup -q -n %{pkg_name}-%{pkg_version}
%{fix_mod}


%build
%{perl_build -- --skipdeps}
%{!?_without_test:%{__make} test}


%install
%{__rm} -rf $RPM_BUILD_ROOT
%{perl_install}


%clean
%{__rm} -rf $RPM_BUILD_ROOT


%files
%defattr(-,root,root,-)
%{perl_files}
%doc CHANGES LICENSE README


%changelog
* Tue May 22 2007 Marius Feraru <altblue@n0i.net> - 0.7.1-2.n0i.2.0.7100
- spec file (re)created using N0i::CPAN::RPMizer 1.07
- rebuild on perl 5.8.8

* Sun Jul 31 2005 Marius Feraru <altblue@n0i.net> 0.7.1-1.n0i.1.0.7100
- spec file (re)created using N0i::CPAN::RPMizer/1.01
- rebuild on perl 5.8.7
